openpgp-asciiarmor-0.1.2: OpenPGP (RFC4880) ASCII Armor codec

Safe Haskell | Safe-Inferred
Language | Haskell2010

Codec.Encryption.OpenPGP.ASCIIArmor.Types

# Documentation

data Armor Source #

Constructors

Armor ArmorType [(String, String)] ByteString |
ClearSigned [(String, String)] ByteString Armor |

#### Instances

Instances details

Show Armor Source # |
Instance details Defined in Codec.Encryption.OpenPGP.ASCIIArmor.Types Methods showsPrec :: Int -> Armor -> ShowS Source # show :: Armor -> String Source # showList :: [Armor] -> ShowS Source #
Eq Armor Source # |
Instance details Defined in Codec.Encryption.OpenPGP.ASCIIArmor.Types Methods (==) :: Armor -> Armor -> Bool Source # (/=) :: Armor -> Armor -> Bool Source #

data ArmorType Source #

Constructors

ArmorMessage |
ArmorPublicKeyBlock |
ArmorPrivateKeyBlock |
ArmorSplitMessage ByteString ByteString |
ArmorSplitMessageIndefinite ByteString |
ArmorSignature |

#### Instances

Instances details

Show ArmorType Source # |
Instance details Defined in Codec.Encryption.OpenPGP.ASCIIArmor.Types Methods showsPrec :: Int -> ArmorType -> ShowS Source # show :: ArmorType -> String Source # showList :: [ArmorType] -> ShowS Source #
Eq ArmorType Source # |
Instance details Defined in Codec.Encryption.OpenPGP.ASCIIArmor.Types Methods (==) :: ArmorType -> ArmorType -> Bool Source # (/=) :: ArmorType -> ArmorType -> Bool Source #